İçeriğe geç
Dokümantasyon
GeliştiricilerAPI başvurusuTetikleyiciler

REST hook aboneliği oluştur

POST
/v1/public-api/subscriptions

Kapsam: webhooks:write. Zapier, Make ve n8n gibi araçların kullandığı REST hook aboneliği; webhook'larla aynı imzalı teslimat altyapısını kullanır. İmza anahtarı yalnızca bu yanıtta döner. Idempotency-Key zorunludur.

Yetkilendirme

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Başlık parametreleri

Idempotency-Key*string
Lengthlength <= 200

İstek gövdesi

application/json
  1. body
name*string
url*string
Formaturi
events*array<>
Items1 <= items
enabled*boolean

Response Body

Başarılı

application/json
  1. response
success*boolean
data*
meta*
Örnek istek
curl -X POST 'https://api.getclickfix.com/v1/public-api/subscriptions' \  -H 'Idempotency-Key: workflow-42-step-1' \  -H 'Content-Type: application/json' \  -d '{  "name": "Zapier new conversation",  "url": "https://hooks.zapier.com/hooks/catch/123456/abcdef",  "events": [    "conversation.created"  ],  "enabled": true}'
Örnek yanıt
{  "success": true,  "data": {    "uuid": "6e5d4c3b-2a19-4f8e-9d7c-6b5a4f3e2d1c",    "name": "Zapier new conversation",    "url": "https://hooks.zapier.com/hooks/catch/123456/abcdef",    "events": [      "conversation.created"    ],    "enabled": true,    "secret": "whsec_a4f0…"  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}